<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  exclude-result-prefixes="xs"
  version="2.0">


<!-- XSLT 2.0 stylesheet by Wendell Piez (Mulberry Technologies, Inc.),
     August 2011 -->
  
<!-- This stylesheet is released into the public domain.     
     Please credit your sources. -->

<!-- 
  This stylesheet transforms XML input, casting all elements in a
  namespace specified into no namespace.

  Elements already in no namespace remain with no namespace.
  
  Elements in some other namespace are left unchanged.
  
-->
  
  <xsl:variable name="strip-ns" as="element()">
    <!-- designate the namespace you want stripped here -->
    <ns uri="http://mulberrytech.com/xslt/util"/>
  </xsl:variable>

  <xsl:template match="*">
    <xsl:copy copy-namespaces="yes">
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="*[namespace-uri-from-QName(node-name(.)) = $strip-ns/@uri]">
    <xsl:variable name="e" select="."/>
    <xsl:element name="{local-name()}">
      <xsl:copy-of select="@*"/>
      <xsl:for-each select="in-scope-prefixes(.)[not(.=('','xml'))]">
        <xsl:namespace name="{.}" select="namespace-uri-for-prefix(.,$e)"/>
      </xsl:for-each>
      <xsl:apply-templates/>    
    </xsl:element>
  </xsl:template>

  <xsl:template match="comment() | processing-instruction()">
    <xsl:copy-of select="."/>
  </xsl:template>
</xsl:stylesheet>